Subject: RE: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Drew Adams <[email-masked]>
Date: Thu, 1 Oct 2020 09:35:08 -0700 (PDT)

> > I'd argue (but not forcefully) for just "...".  As I
> > mentioned, "…" is, for me, useless as an ellipsis.  I think
> > it must be useless for nearly everyone, with a fixed-width
> > font.
> 
> I kinda like … because it takes up so little space, and the reason we're
> normally truncating strings is because they take up too much space.  So
> using that limited space for "..." is counter-productive.

It's not about losing any more mode-line space.
Instead, it should be about losing 2 more chars
from the info displayed for this in the mode-line.

> But this should be standardised throughout Emacs, and work out of the
> box automatically on systems that can display the character and not,
> which makes truncate-string-to-width less than ideal.
> 
> There also, of course, the issue of "well, if the call says 'truncate to
> 15 characters', how much should we remove when we add the …?"  Because …
> usually takes a bit more than a single normal character to display,
> while "..." takes three.

FTR, I disagree.

Better to truncate an additional 2 chars and use a
"real" ellipsis: "...".  The single char ellipsis
is awful, at least in any fixed-width font I've used.

If we're truncating, we're truncating.  Truncating 2
more chars is not so bad.  It's more important to
clearly pass the message that the thing _is_ truncated.
And the ellipsis char doesn't do that clearly.